## org.apache.hadoop.fs.s3
Interface FileSystemStore

    public interface FileSystemStore

A facility for storing and retrieving `INode`s and `Block`s.

Method Summary
`boolean` `blockExists(long blockId)`
`void` `deleteBlock(Block block)`
`void` `deleteINode(Path path)`
`void` `dump()` Diagnostic method to dump all INodes to the console.
`String` `getVersion()`
`void` `initialize(URI uri, Configuration conf)`
`boolean` `inodeExists(Path path)`
`Set<Path>` `listDeepSubPaths(Path path)`
`Set<Path>` `listSubPaths(Path path)`
`void` `purge()` Delete everything.
`File` `retrieveBlock(Block block, long byteRangeStart)`
`INode` `retrieveINode(Path path)`
`void` `storeBlock(Block block, File file)`
`void` `storeINode(Path path, INode inode)`

Method Detail

### initialize

    void initialize(URI uri,
                    Configuration conf)
                    throws IOException

  Throws:
    `IOException`

### getVersion

    String getVersion()
                      throws IOException

  Throws:
    `IOException`

### storeINode

    void storeINode(Path path,
                    INode inode)
                    throws IOException

  Throws:
    `IOException`

### storeBlock

    void storeBlock(Block block,
                    File file)
                    throws IOException

  Throws:
    `IOException`

### inodeExists

    boolean inodeExists(Path path)
                        throws IOException

  Throws:
    `IOException`

### blockExists

    boolean blockExists(long blockId)
                        throws IOException

  Throws:
    `IOException`

### retrieveINode

    INode retrieveINode(Path path)
                        throws IOException

  Throws:
    `IOException`

### retrieveBlock

    File retrieveBlock(Block block,
                       long byteRangeStart)
                       throws IOException

  Throws:
    `IOException`

### deleteINode

    void deleteINode(Path path)
                     throws IOException

  Throws:
    `IOException`

### deleteBlock

    void deleteBlock(Block block)
                     throws IOException

  Throws:
    `IOException`

### listSubPaths

    Set<Path> listSubPaths(Path path)
                           throws IOException

  Throws:
    `IOException`

### listDeepSubPaths

    Set<Path> listDeepSubPaths(Path path)
                               throws IOException

  Throws:
    `IOException`

### purge

    void purge()
               throws IOException

  Delete everything. Used for testing.

  Throws:
    `IOException`

### dump

    void dump()
              throws IOException

  Diagnostic method to dump all INodes to the console.

  Throws:
    `IOException`

Copyright © 2009 The Apache Software Foundation